Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1956951 - user mode templates use root_pass.empty? which doesn't work on NilClass
Summary: user mode templates use root_pass.empty? which doesn't work on NilClass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.10.0
Assignee: Evgeni Golov
QA Contact: Ondrej Gajdusek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 18:11 UTC by Evgeni Golov
Modified: 2021-11-16 14:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:10:50 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32508 0 Normal Ready For Testing user mode templates use root_pass.empty? which doesn't work on NilClass 2021-05-04 18:11:08 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:11:10 UTC

Description Evgeni Golov 2021-05-04 18:11:06 UTC
When deploying a host on Azure and not specifying a root password, I got the following error:

<pre>
Render user data template for whoa.yatsu.example.com task failed with the following error: undefined method '#empty?' for NilClass::Jail (NilClass)
</pre>

Comment 1 Evgeni Golov 2021-05-04 18:11:11 UTC
Created from redmine issue https://projects.theforeman.org/issues/32508

Comment 2 Evgeni Golov 2021-05-04 18:11:12 UTC
Upstream bug assigned to egolov

Comment 3 Ondrej Gajdusek 2021-09-01 09:45:20 UTC
VERIFIED

satellite-6.10.0-0.8.beta.el7sat.noarch
foreman-2.5.2.4-1.el7sat.noarch

The "# Install the root password" template section is not rendered if the root password is not specified. No errors are shown.

Comment 6 errata-xmlrpc 2021-11-16 14:10:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.